Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get IP ACL

Prev Next

Available in Classic and VPC

Get IP ACL details.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /api/v1/ip-acls/{ipAclId}

Request headers

For information about the headers common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
ipAclId String Required IP ACL ID

Request example

The request example is as follows:

curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/ip-acls/5bf4cad0-****-****-****-cd51bba3fe23' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
ipAclId String - IP ACL ID
ipAclName String - IP ACL name
description String - IP ACL description
nrn String - NAVER Cloud Platform resource identification value for IP ACL
accessIps Array - List of access target IP addresses
createdAt String - IP ACL creation date and time
  • ISO 8601 format
updatedAt String - IP ACL modification date and time
  • ISO 8601 format

Response status codes

For information about the response status codes common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On response status codes.

Response example

The response example is as follows:

{
    "ipAclId": "5bf4cad0-****-****-****-cd51bba3fe23",
    "ipAclName": "ipacl000",
    "description": "ipacl description",
    "nrn": "nrn:PUB:SSO::*******:IPACL/5bf4cad0-****-****-****-cd51bba3fe23",
    "accessIps": [
        "***.***.***.***"
    ],
    "createdAt": "2025-01-13T06:33:19Z",
    "updatedAt": "2025-01-13T06:36:29Z"
}